package shroom_internals

import (
	"database/sql"
	"encoding/json"
	"fmt"
)

func GetRows(db *sql.DB, t int64) ([]byte, error) {
	results, err := QueryHistory(db, t)
	if err != nil {
		return nil, fmt.Errorf("db read error: %w", err)
	}
	msg, err := json.Marshal(results)
	if err != nil {
		return nil, fmt.Errorf("json marshal error: %w", err)
	}
	return msg, nil
}

func LastTime(db *sql.DB) ([]byte, error) {
	t, err := LatestTime(db)
	if err != nil {
		return nil, fmt.Errorf("db read error: %w", err)
	}

	msg, err := json.Marshal(t)
	if err != nil {
		return nil, fmt.Errorf("json marshal error: %w", err)
	}
	return msg, nil
}
